OpenNI 2.2.0.33 / NiTE 2.2.0.11


OpenNI 在上個月底,把 OpenNI 2 的版本升級到了 2.2.0.32 Beta,算是一個小更新。而這兩天,OpenNI 又再度放出了更新,不過很遺憾,這次的更新還是沒有更新到開發支線上的 OpenNI 2.3、而是一個小版號的修改、升級後是變成 2.2.0.33 Beta、只差了最後一個數字。

檔案一樣可以在 OpenNI 官網下載:http://www.openni.org/openni-sdk/

至於這次從 2.2.0.32 升級到 2.2.0.33 改了什麼?基本上…感覺應該是完全沒改啊…就算是去翻 GitHub 上的更新紀錄(頁面),也只有看到修改「notice」這個文件的紀錄、以及修改版本編號的紀錄而已;感覺在程式上,應該是沒有去動吧?所以要不要更新,就自己決定吧…更新的意義應該不是很大就是了。


另外,在 10/24 的時候,PrimeSense 的 NiTE2 應該也有做了小更新,把版本更新到了 2.2.0.11,他的頁面是:

http://www.openni.org/files/nite/

基本上,PrimeSense 向來都沒有放出 release note 之類的文件,所以自然也就不知道他到底改了什麼了。
而且…現在 NiTE 2 的頁面,其實還滿混亂的…標題的版本和裡面紀錄的版本,還是不一樣的…

不過要注意的是,目前網站上 NiTE 2.2.0.11 的 Windows x64 版本可能是有問題的!官方在建置的時候,似乎是把它和開發中的 OpenNI 2.3 做搭配使用、在安裝好的範例程式路徑(C:\Program Files\PrimeSense\NiTE2\Samples\Bin)下的 OpenNI2.dll 的版本,就是 2.3.0.11;結果,似乎導致了 Windows x64 版的 NiTE 2.2.0.11 和 OpenNI 2.2 不相容

如果打開他的錯誤紀錄的話,就可以發現在 NiTE 初始化的階段,會有下面的錯誤:

Running with an OpenNI (2.3) older than the one with which NiTE was compiled 
(2.2)

在官方論壇也有人反映了,可以參考《Version mismatch between the latest OpenNi and NiTE2 downloads?》。

這個問題在 Windows 的 32 為原版應該是沒有的,所以應該可以視為是 PrimeSense 的失誤吧?

而目前的解決方法,應該就是把 NiTE 換回之前的 2.2.0.10 了。之後,則是要等 PrimeSense 修復了。


OpenNI / Kinect 相關文章目錄

廣告

關於 Heresy
https://kheresy.wordpress.com

12 Responses to OpenNI 2.2.0.33 / NiTE 2.2.0.11

  1. 引用通告: 華碩 Xtion 2 的細部規格,相容於 OpenNI 2 | Heresy's Space

  2. simon says:

    Hi Heresy,

    It seems NITE2 download on official website is no longer available(http://openni.ru/files/nite/), I want to download linux x64 version, but after register and fill in the infomation, page return 504.

    Do you know where we can get NITE2?

    Thanks,
    Simon

    按讚數

    • Heresy says:

      http://openni.ru is not the official site.
      Since PrimeSense and OpenNI is dead, there is no official download link of NiTE anymore.

      What we can do is to find someone’s backup on internet…

      按讚數

  3. nate says:

    openni.org is no longer working, new link?? :)

    按讚數

    • Heresy says:

      請參考本文: http://wp.me/p15GE3-46u

      按讚數

  4. ascorpion says:

    Hereys您好;
    我想請教您,我目前為Qt新手,是想先利用openni2 搭配 Visual Studio Add-in for Qt5 寫一個簡單的3d viwer,寫完以後卻發現,在Qt5的專案下去執行時,openni::OpenNI::initialize() 一直無法成功,但是在非Qt專案下卻是可以成功initialize,目前是毫無頭緒,不知道是不是Qt5不支援openni2環境,這部分我一直查不到相關的資料,希望Hereys可以給我一些意見。

    按讚數

    • Heresy says:

      個人會建議,先確認一下初始化失敗的原因。

      按讚數

      • ascorpion says:

        謝謝,已找到錯誤點,我沒有把OpenNI2目錄下的資料夾Redist內的所有物件複製到我的程式根目錄…..

        按讚數

  5. Teddy says:

    感谢Heresy, 因为nite启动不了的问题都要抓狂了。 stackoverflow上有人居然骗我说是因为nite2和qt5.2不兼容。差点就要把qt全给删了,原来是官方的问题…

    按讚數

    • Heresy says:

      現在比較麻煩,是 PrimeSense 被 Apple 買了之後整個 OpenNI 就沒反應了… orz

      按讚數

  6. jen says:

    Hereys您好:
    請教您,如果使用openi for android開發體感,感測器是kinect,這個過程的compiter是什麼呢?以及openi for unity開發體感,還能轉成android作業系統使用嗎?
    還有不好意思離題,就是若要設計app遊戲,您推荐哪一種呢??

    按讚數

    • Heresy says:

      抱歉,Heresy 沒有在 Android 上開發、或是使用 Unity 的經驗,所以這邊應該無法提供意見了。

      按讚數

發表迴響

在下方填入你的資料或按右方圖示以社群網站登入:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s

%d 位部落客按了讚: